import { ElementRef, EventEmitter, OnDestroy, AfterViewInit, ChangeDetectorRef } from '@angular/core';
import 'daterangepicker';
import { NgForm, NgModel } from '@angular/forms';
import { TranslateService } from '../../services/translate/translate.service';
export declare class DateRangePickerControlComponent implements OnDestroy, AfterViewInit {
    private ref;
    private translateService;
    private initialized;
    private pFromDate;
    private pToDate;
    private pMinDate;
    private pMaxDate;
    private jsFormat;
    private momentFormat;
    private get viewFormat();
    private get format();
    name: string;
    model: string;
    form: NgForm;
    type: 'datetime' | 'date' | 'time';
    disabled: boolean;
    required: boolean;
    label: string;
    set minDate(val: string | Date | number);
    set maxDate(val: string | Date | number);
    set fromDate(val: any);
    set toDate(val: any);
    sdChange: EventEmitter<any>;
    date: string;
    fromDateChange: EventEmitter<any>;
    toDateChange: EventEmitter<any>;
    control: ElementRef;
    formModel: NgModel;
    constructor(ref: ChangeDetectorRef, translateService: TranslateService);
    ngOnDestroy(): void;
    ngAfterViewInit(): void;
    onFocus: () => void;
    private onChanges;
    private setOption;
    private clear;
    private reload;
}
